#pragma once
#include <map>
struct Fish_RobotCFGData
{
	//key
	std::string mKey;
	//ÊýÖµ
	int mValue;
};

class Fish_RobotCFG
{
public:
private:
	static std::auto_ptr<Fish_RobotCFG> msSingleton;
public:
	int GetCount();
	const Fish_RobotCFGData* GetData(std::string Key);
	const std::map<std::string, Fish_RobotCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_RobotCFG* GetSingleton();
	static void Release();
private:
	std::map<std::string, Fish_RobotCFGData> mMapData;
};
